Share feedback
Answers are generated based on the documentation.

List repository tags

GET/v2/namespaces/{namespace}/repositories/{repository}/tags

Returns the list of tags for the specified repository.

This operation accepts bearer tokens issued from organization access tokens (OATs). The token must have the required resource access and scopes.

Connection and access

API connection and authentication guidance

https://hub.docker.com — Docker HUB API

Use one of these alternatives. Requirements within an alternative apply together.

  • bearerAuth

Parameters

namespace path Required

Namespace of the repository, such as a user or organization name.

Type: string

All schema constraints and annotations
{
  "type": "string"
}

repository path Required

Name of the repository within the namespace.

Type: string

All schema constraints and annotations
{
  "type": "string"
}

page query

Page number to get. Defaults to 1.

Type: integer

All schema constraints and annotations
{
  "type": "integer"
}

page_size query

Number of items to get per page. Defaults to 10. Max of 100.

Type: integer

All schema constraints and annotations
{
  "type": "integer"
}

Request and responses

Response 200

list repository tags

application/json

Schema: paginated_tags

Schema example

{
  "count": 1,
  "next": null,
  "previous": null,
  "results": [
    {
      "creator": 1234,
      "full_size": 123456,
      "id": 12345,
      "images": [
        {
          "architecture": "amd64",
          "features": null,
          "last_pulled": null,
          "last_pushed": "2021-01-05T21:06:53.506400Z",
          "os": "linux",
          "os_features": null,
          "os_version": null,
          "size": 123456,
          "status": "active",
          "variant": null
        }
      ],
      "last_updated": "2021-01-05T21:06:53.506400Z",
      "last_updater": 1234,
      "last_updater_username": "dockeruser",
      "name": "latest",
      "repository": 5678,
      "tag_last_pulled": null,
      "tag_last_pushed": "2021-01-05T21:06:53.506400Z",
      "tag_status": "active",
      "v2": true
    }
  ]
}

Response 403

Forbidden

application/json

Schema: error

error

{
  "errinfo": null,
  "message": "permission denied"
}

Response 404

Not Found

application/json

Schema: error

error

{
  "errinfo": null,
  "message": "not found"
}

Referenced schemas

Complete operation contract
{
  "description": "Returns the list of tags for the specified repository.\n\nThis operation accepts bearer tokens issued from organization access tokens (OATs). The token must have the required resource access and scopes.\n",
  "operationId": "ListRepositoryTags",
  "parameters": [
    {
      "description": "Page number to get. Defaults to 1.",
      "in": "query",
      "name": "page",
      "required": false,
      "schema": {
        "type": "integer"
      }
    },
    {
      "description": "Number of items to get per page. Defaults to 10. Max of 100.",
      "in": "query",
      "name": "page_size",
      "required": false,
      "schema": {
        "type": "integer"
      }
    }
  ],
  "responses": {
    "200": {
      "$ref": "#/components/responses/list_tags"
    },
    "403": {
      "$ref": "#/components/responses/Forbidden"
    },
    "404": {
      "$ref": "#/components/responses/NotFound"
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "summary": "List repository tags",
  "tags": [
    "repositories"
  ]
}